# Reusable Components Library for React Typescript with styled-components.

## Usage
Install the package
```
npm install gws-components-library
```

Import the required component and start using it as a normal component.

```
import { TestComponent } from 'gws-components-library
```

## Local
components library: npm link
any app: npm link gws-components-library

/ OR / ---> npm run link-components on each library

## Documentation
- [Button Component](./documentation/Button.MD)
- [Input Component](./documentation//Input.MD)
- [Icon Component](./documentation//Icon.MD)
- [Card Component](./documentation//Card.MD)
- [IconButton Component](./documentation/IconButton.MD)
- [Dropdown Component](./documentation/Dropdown.MD)
- [DatePicker Component](./documentation/DatePicker.MD)
- [List Component](./documentation/List.MD)
